## python-hatch-requirements-txt 0.3.0

=== tests/requirements.txt ===
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
dist-meta>=0.5.0
domdf-python-tools>=3.3.0
importlib-metadata>=3.6.0
pkginfo>=1.8.3
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2

=== debian/changelog ===
python-hatch-requirements-txt (0.3.0-2) unstable; urgency=high

  * Team Upload.
    + Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 08 Jan 2023 20:18:38 +0530

python-hatch-requirements-txt (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1027770)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 07 Jan 2023 14:36:23 +0530

=== debian/control ===
Source: python-hatch-requirements-txt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               pybuild-plugin-pyproject,
               python3-hatchling,
               python3-packaging,
Standards-Version: 4.6.2
Homepage: https://github.com/repo-helper/hatch-requirements-txt
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hatch-requirements-txt
Vcs-Git: https://salsa.debian.org/python-team/packages/python-hatch-requirements-txt.git

Package: python3-hatch-requirements-txt
Architecture: all
Depends: ${misc:Depends},${python3:Depends}
Description: Read dependencies from requirements-txt
 Hatchling plugin to read project dependencies from requirements.txt
 You can also define groups of optional dependencies (also known as
 “features”) by appending optional-dependencies to project.dynamic
 and adding a table.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3  --buildsystem=pybuild

#testing needs modules coincidence which are not in Debian
override_dh_auto_test:

## python-hatch-requirements-txt 0.4.0

=== debian/changelog ===
python-hatch-requirements-txt (0.4.0-3) unstable; urgency=medium

  * debian/control:
      - Added dependency for running tests
      - Added 'Testsuite: autopkgtest-pkg-pybuild'
  * debian/patches: Skipped function with error
  * debian/rules: enabled test execution

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 02 Jan 2024 21:44:42 -0300

python-hatch-requirements-txt (0.4.0-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 25 Jul 2023 21:54:56 -0300

python-hatch-requirements-txt (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 05 Jul 2023 17:32:03 -0300

## python-hatch-requirements-txt 0.4.1

=== requirements.txt ===
hatchling>=0.21.0
packaging>=21.3

=== debian/changelog ===
python-hatch-requirements-txt (0.4.1-3) unstable; urgency=medium

  * Team upload.
  * Drop build-depends on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 18:37:25 +0200

python-hatch-requirements-txt (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Patch: Support hatchling 1.22.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Apr 2024 17:56:15 -0400

python-hatch-requirements-txt (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 03 Feb 2024 13:58:15 -0300

=== debian/control ===
Source: python-hatch-requirements-txt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-coincidence,
               python3-coverage,
               python3-dist-meta,
               python3-domdf-python-tools,
               python3-hatchling,
               python3-packaging,
               python3-pkginfo,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-datadir,
               python3-pytest-regressions,
               python3-pytest-timeout,
               python3-setuptools
Standards-Version: 4.7.2
Homepage: https://github.com/repo-helper/hatch-requirements-txt
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hatch-requirements-txt
Vcs-Git: https://salsa.debian.org/python-team/packages/python-hatch-requirements-txt.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-hatch-requirements-txt
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Read dependencies from requirements-txt
 Hatchling plugin to read project dependencies from requirements.txt
 You can also define groups of optional dependencies (also known as
 “features”) by appending optional-dependencies to project.dynamic
 and adding a table.

=== debian/watch ===
version=4
https://github.com/repo-helper/hatch-requirements-txt/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
